@model Cart

<div class="">
  @if (Model?.Lines.Count() > 0)
  {
    <small class="navbar-text">
      <b>Your cart:</b>
      @Model?.Lines.Sum(x => x.Quantity) items
      @Model?.ComputeTotalValue().ToString("c")
    </small>
  }
  <a class="btn btn-sm btn-secondary navbar-btn" asp-page="/Cart"
    asp-route-returnurl="@(ViewContext.HttpContext.Request.Path.ToString() + ViewContext.HttpContext.Request.QueryString.ToString())">
    <i class="fa fa-shopping-cart"></i>
  </a>
</div>